Package ru.bitel.bgbilling.modules.npay.server.bean.quantity

# Class ModuleQuantity

java.lang.Object
ru.bitel.bgbilling.modules.npay.server.bean.quantity.ModuleQuantity

Direct Known Subclasses:
  `CallModuleQuantity`, `InetModuleQuantity`, `PhoneModuleQuantity`, `PhoneSubModuleQuantity`, `VoiceLineModuleQuantity`, `VoiceModuleQuantity`

public abstract class ModuleQuantity extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `ModuleQuantity.ModuleQuantityResult`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ModuleQuantity()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getModuleId()`
  `protected ModuleQuantity.ModuleQuantityResult`
  `getModuleQuantityResult(ResultSet rs)`
  `abstract List<ModuleQuantity.ModuleQuantityResult>`
  `getPeriodQuantity(Connection con, int contractId, Calendar from, Calendar to)`
  `protected List<ModuleQuantity.ModuleQuantityResult>`
  `getPeriodsFromTable(Connection con, String tableName, int contractId, Calendar from, Calendar to, String filter)`
  `protected List<ModuleQuantity.ModuleQuantityResult>`
  `getPeriodsFromTable(Connection con, String tableName, int contractId, Calendar from, Calendar to, String filter, String fieldContractId, String fieldDate1, String fieldDate2)`
  `protected String`
  `getQuery(String tableName, String fieldContractId, String fieldDate1, String fieldDate2)`
  `protected String`
  `getQueryJoin()`
  `protected String`
  `getQuerySelect(String fieldDate1, String fieldDate2)`
  `List<Integer>`
  `getSids()`
  `void`
  `setModuleId(int moduleId)`
  `void`
  `setSids(List<Integer> sids)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ModuleQuantity

    public ModuleQuantity()

- ## Method Details

  - ### getSids

    public List<Integer> getSids()

  - ### setSids

    public void setSids(List<Integer> sids)

  - ### getModuleId

    public int getModuleId()

  - ### setModuleId

    public void setModuleId(int moduleId)

  - ### getPeriodQuantity

    public abstract List<ModuleQuantity.ModuleQuantityResult> getPeriodQuantity(Connection con, int contractId, Calendar from, Calendar to)

  - ### getPeriodsFromTable

    protected List<ModuleQuantity.ModuleQuantityResult> getPeriodsFromTable(Connection con, String tableName, int contractId, Calendar from, Calendar to, String filter)

  - ### getPeriodsFromTable

    protected List<ModuleQuantity.ModuleQuantityResult> getPeriodsFromTable(Connection con, String tableName, int contractId, Calendar from, Calendar to, String filter, String fieldContractId, String fieldDate1, String fieldDate2)

  - ### getQuery

    protected String getQuery(String tableName, String fieldContractId, String fieldDate1, String fieldDate2)

  - ### getQuerySelect

    protected String getQuerySelect(String fieldDate1, String fieldDate2)

  - ### getQueryJoin

    protected String getQueryJoin()

  - ### getModuleQuantityResult

    protected ModuleQuantity.ModuleQuantityResult getModuleQuantityResult(ResultSet rs) throws SQLException
    Throws:
      `SQLException`